# To get started with security, check out the documentation:
# https://symfony.com/doc/current/security.html
security:
    role_hierarchy:
        ROLE_ADMIN:       ROLE_USER
        ROLE_SUPER_ADMIN: [ROLE_ADMIN, ROLE_RICARDO, ROLE_GABRIEL, ROLE_KIRIO, ROLE_FRANCO, ROLE_DIEGO, ROLE_JOSE, ROLE_ALLOWED_TO_SWITCH]

    # https://symfony.com/doc/current/security.html#b-configuring-how-users-are-loaded
    providers:
        our_db_provider:
            entity:
                class: ClinicasBundle:Users
                property: username


    firewalls:
        default:
            anonymous: ~
            http_basic: ~
            form_login:
                login_path: /login
                check_path: /login_check
                # field names for the username and password fields:
                username_parameter: _username
                password_parameter: _password
                # default_target_path: default_security_target
                # always_use_default_target_path: true
            logout:
                path:   /logout
                target: /login
        # disables authentication for assets and the profiler, adapt it according to your needs
        dev:
            pattern: ^/(_(profiler|wdt)|css|images|js)/
            security: false

        main:
            anonymous: ~
            # activate different ways to authenticate

            # https://symfony.com/doc/current/security.html#a-configuring-how-your-users-will-authenticate
            #http_basic: ~

            # https://symfony.com/doc/current/security/form_login_setup.html
            #form_login: ~

    encoders:
        Administracion\ClinicasBundle\Entity\Users:
            algorithm: bcrypt
            cost: 12

    access_control: #Esto para forzar a loguearse, aunque conozca la ruta completa
      - { path: ^/login, roles: IS_AUTHENTICATED_ANONYMOUSLY, methods: [GET] }
      - { path: ^/$, roles: ROLE_USER }
      - { path: ^/clinicas, roles: ROLE_DIEGO }
      - { path: ^/medicos, roles: ROLE_RICARDO }
      - { path: ^/users, roles: ROLE_RICARDO }
      - { path: ^/roles, roles: ROLE_RICARDO }
      - { path: ^/medicamento, roles: ROLE_RICARDO }
      - { path: ^/especialidades, roles: ROLE_RICARDO }
      - { path: ^/expedientes, roles: ROLE_GABRIEL }
      - { path: ^/pacientes, roles: ROLE_GABRIEL }
      - { path: ^/signovital, roles: ROLE_GABRIEL }
      - { path: ^/consulta, roles: ROLE_FRANCO } 
      - { path: ^/receta, roles: ROLE_FRANCO }
      - { path: ^/examenfisico, roles: ROLE_KIRIO }
      - { path: ^/examenorina, roles: ROLE_KIRIO }
      - { path: ^/examenheces, roles: ROLE_KIRIO }
      - { path: ^/laboratorios, roles: ROLE_KIRIO }


      

    
